ctrl_connection Struct Reference

Represents a single ctrl connection. More...

`#include <control_cmd.h>`

## Data Fields

struct llist_head | list_entry
struct osmo_wqueue | write_queue
| The queue for sending data back. More...
struct msgb * | pending_msg
| Buffer for partial input data. More...
void(* | closed_cb )(struct ctrl_connection *conn)
| Callback if the connection was closed. More...
struct llist_head | cmds
| Pending commands for this connection. More...
struct llist_head | def_cmds
| Pending deferred command responses for this connection. More...

## Detailed Description

Represents a single ctrl connection.

## Field Documentation

## closed_cb

void(* ctrl_connection::closed_cb) (struct ctrl_connection *conn)

Callback if the connection was closed.

Referenced by control_close_conn().

## cmds

struct llist_head ctrl_connection::cmds

Pending commands for this connection.

Referenced by osmo_ctrl_conn_alloc().

## def_cmds

struct llist_head ctrl_connection::def_cmds

Pending deferred command responses for this connection.

Referenced by control_close_conn(), ctrl_cmd_def_make(), and osmo_ctrl_conn_alloc().

## list_entry

struct llist_head ctrl_connection::list_entry

Referenced by control_close_conn(), ctrl_cmd_send_to_all(), and listen_fd_cb().

## pending_msg

struct msgb* ctrl_connection::pending_msg

Buffer for partial input data.

Referenced by control_close_conn(), and handle_control_read().

## write_queue

struct osmo_wqueue ctrl_connection::write_queue

The queue for sending data back.

Referenced by control_close_conn(), control_write_cb(), ctrl_cmd_def_send(), ctrl_cmd_send_to_all(), ctrl_handle_msg(), listen_fd_cb(), and osmo_ctrl_conn_alloc().

The documentation for this struct was generated from the following file:

- include/osmocom/ctrl/control_cmd.h